var formaction = '';

function formActions(){
formaction = document.getElementById('search_type').value;
//just incase its blank
if (formaction == '') {
formaction = 'index.php?option=com_text&stream=public';
}
//set form action
document.searchform.action = formaction;
}


